Package org.apache.sling.models.spi.injectorspecific

# Class AbstractInjectAnnotationProcessor2

java.lang.Object
org.apache.sling.models.spi.injectorspecific.AbstractInjectAnnotationProcessor
org.apache.sling.models.spi.injectorspecific.AbstractInjectAnnotationProcessor2

All Implemented Interfaces:
  `InjectAnnotationProcessor`, `InjectAnnotationProcessor2`

@ConsumerType public class AbstractInjectAnnotationProcessor2 extends AbstractInjectAnnotationProcessor implements InjectAnnotationProcessor2
Default implementation of `InjectAnnotationProcessor2`.

## Constructor Summary

Constructors
Constructor
Description
`AbstractInjectAnnotationProcessor2()`

## Method Summary

Modifier and Type
Method
Description
`InjectionStrategy`
`getInjectionStrategy()`
Tries to get the information whether the injection is optional.

### Methods inherited from class org.apache.sling.models.spi.injectorspecific.AbstractInjectAnnotationProcessor

`getDefault, getName, getVia, hasDefault, isOptional`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.models.spi.injectorspecific.InjectAnnotationProcessor

`isOptional`

### Methods inherited from interface org.apache.sling.models.spi.injectorspecific.InjectAnnotationProcessor2

`getDefault, getName, getVia, hasDefault`

## Constructor Details

### AbstractInjectAnnotationProcessor2

public AbstractInjectAnnotationProcessor2()

## Method Details

### getInjectionStrategy

public InjectionStrategy getInjectionStrategy()
Description copied from interface: `InjectAnnotationProcessor2`
Tries to get the information whether the injection is optional.

Specified by:
  `getInjectionStrategy` in interface `InjectAnnotationProcessor2`
Returns:
  `REQUIRED` if injection is mandatory, `OPTIONAL` if injection is optional or `DEFAULT` in which case the standard annotation/injection strategy should be used.